
########################################################################

"""
Specify the requirement for the minimum distance dist_thr travelled by the
motor during frame time for velocity calculation.

All swimmers travelling distance
shortern than dist_thr will be excluded from analysis.

For example, setting:
-- dist_thr = 0.0 will exclude all swimmers that don't move.
-- dist_thr = 0.2 will exclude all swimmers that move less or equal 0.2 microm.
-- dist_thr = -1 (or any other negative number), will include all swimmers.
"""

dist_thr = 0.01

########################################################################

path_in = "./data/Swimmers in sucrose - changing viscosity"   # folder in the data-folder to read data from

datafile1 = 'GUV 5Biotin-95DOPC-Rho + S500-OG_magnet ON_1kg magnet_in sucrose_001_Tracks.xml'
datafile2 = 'GUV 5Biotin-95DOPC-Rho + S500-OG_magnet ON_1kg magnet_in sucrose_001b_Tracks.xml'
datafile3 = 'GUV 5Biotin-95DOPC-Rho + S500-OG_magnet ON_1kg magnet_in sucrose_002b_Tracks.xml'
datafile4 = 'GUV 5Biotin-95DOPC-Rho + S500-OG_magnet ON_1kg magnet_in sucrose_003_Tracks.xml'

files = [datafile1, datafile2, datafile3, datafile4]
