import numpy as np
import xml.etree.ElementTree as ET


def extract_tracks(path):
    tracks = ET.parse(path).getroot()
    return tracks


def extract_num_particles(tracks):
    num_particles = int(tracks.attrib['nTracks'])
    return num_particles


def extract_frame_interval(tracks):
    frameInterval = float(tracks.attrib['frameInterval'])
    return frameInterval


def extract_particle_list(tracks):
    particle_list = list(tracks)
    return particle_list


def extract_coordinates(particle):

    timesteps_total = int(particle.attrib['nSpots'])
    timesteps_iterator = iter(particle)

    t = np.zeros(timesteps_total)
    x = np.zeros(timesteps_total)
    y = np.zeros(timesteps_total)
    z = np.zeros(timesteps_total)

    for i in range(timesteps_total):
        timestamp = next(timesteps_iterator)
        t[i] = float(timestamp.attrib["t"])
        x[i] = float(timestamp.attrib["x"])
        y[i] = float(timestamp.attrib["y"])
        z[i] = float(timestamp.attrib["z"])

    return t, x, y, z
